Bug 234723 - net-im/telegramqml: fix build with GCC-based architectures
Summary: net-im/telegramqml: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-07 23:40 UTC by Piotr Kubaj
Modified: 2019-01-13 02:43 UTC (History)
2 users (show)

See Also:
henry.hu.sh: maintainer-feedback+


Attachments
patch (424 bytes, patch)
2019-01-07 23:40 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2019-01-07 23:40:17 UTC
Created attachment 200895 [details]
patch

This port requires USES=compiler:c++11-lang to build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Henry Hu 2019-01-12 16:14:21 UTC
If you specify compiler:c++11-lang on these architectures, will it use newer GCC, or Clang?
My concern is that if it switches to Clang, then we may have runtime conflicts between libc++ and libstdc++. If it uses newer GCC, then it should be fine.
Comment 2 Piotr Kubaj 2019-01-12 16:18:29 UTC
(In reply to Henry Hu from comment #1)
It will use GCC from ports.

On Clang architectures, CC and CXX are not changed, since base Clang supports C++11.
Comment 3 Henry Hu 2019-01-12 16:19:35 UTC
Comment on attachment 200895 [details]
patch

Thanks, this should work.
Comment 4 Henry Hu 2019-01-12 16:21:39 UTC
Comment on attachment 200895 [details]
patch

I think that I've approved the patch; I'm not sure why the state does not change.
Comment 5 commit-hook freebsd_committer 2019-01-13 02:43:04 UTC
A commit references this bug:

Author: linimon
Date: Sun Jan 13 02:42:14 UTC 2019
New revision: 490109
URL: https://svnweb.freebsd.org/changeset/ports/490109

Log:
  This port requires USES=compiler:c++11-lang to build on GCC-based
  architectures.

  While here, pet portlint.

  PR:		234723
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/net-im/telegramqml/Makefile